%define glib2_version           2.16.1
%define dbus_version            0.90
%define dbus_glib_version       0.70
%define policykit_version       0.8

%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:   Package management service
Name:      PackageKit
Version:   0.3.16
Release:   1%{?dist}
License:   GPLv2+
Group:     System Environment/Libraries
URL:       http://packagekit.freedesktop.org
Source0:   http://www.packagekit.org/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Fedora-specific
# Set Vendor.conf up for Fedora.
Patch0:    PackageKit-0.3.8-Fedora-Vendor.conf.patch

Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: PackageKit-glib = %{version}-%{release}
Requires: PackageKit-udev-helper = %{version}-%{release}
Requires: PackageKit-yum-plugin = %{version}-%{release}
Requires: PackageKit-yum = %{version}-%{release}
Requires: shared-mime-info
Requires: python-sqlite2
Requires: comps-extras
Requires: preupgrade

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: pam-devel
BuildRequires: libX11-devel
BuildRequires: libsexy-devel
BuildRequires: xmlto
BuildRequires: sqlite-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: PolicyKit-devel >= %{policykit_version}
BuildRequires: libtool
BuildRequires: docbook-utils
BuildRequires: gnome-doc-utils
BuildRequires: python-devel
BuildRequires: perl(XML::Parser)
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: xulrunner-devel
BuildRequires: libarchive-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: qt4-devel
BuildRequires: cppunit-devel

%description
PackageKit is a D-Bus abstraction layer that allows the session user
to manage packages in a secure way using a cross-distro,
cross-architecture API.

%package yum
Summary: PackageKit YUM backend
Group: System Environment/Libraries
Requires: yum >= 3.2.19
Requires: %{name} = %{version}-%{release}

%description yum
A backend for PackageKit to enable yum functionality.

%package smart
Summary: PackageKit SMART backend
Group: System Environment/Libraries
Requires: smart
Requires: %{name} = %{version}-%{release}

%description smart
A backend for PackageKit to enable SMART functionality.

%package docs
Summary: Documentation for PackageKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description docs
API docs for PackageKit.

%package udev-helper
Summary: Tell PackageKit to install firmware that udev requires
Group: System Environment/Base
Requires: udev
Requires: PackageKit
Obsoletes: udev-packagekit < %{version}-%{release}

%description udev-helper
PackageKit-udev-helper tells PackageKit that firmware was not available and was
needed. This allows PackageKit to do the right thing and prompt for
the firmware to be installed.

%package yum-plugin
Summary: Tell PackageKit to check for updates when yum exits
Group: System Environment/Base
Requires: yum >= 3.0
Requires: PackageKit
Obsoletes: yum-packagekit < %{version}-%{release}

%description yum-plugin
PackageKit-yum-plugin tells PackageKit to check for updates when yum exits.
This way, if you run 'yum update' and install all available updates, puplet
will almost instantly update itself to reflect this.

%package glib
Summary: GLib libraries for accessing PackageKit
Group: Development/Libraries
Requires: dbus >= %{dbus_version}
Requires: %{name} = %{version}-%{release}
Obsoletes: PackageKit-libs < %{version}-%{release}
Provides: PackageKit-libs = %{version}-%{release}

%description glib
GLib libraries for accessing PackageKit.

%package qt
Summary: QT libraries for accessing PackageKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
# 2 short-lived rawhide pkgs
Obsoletes: packagekit-qt < 0.3.1
Obsoletes: qpackagekit < 0.3.1-2

%description qt
QT libraries for accessing PackageKit.

%package cron
Summary: Cron job and related utilities for PackageKit
Group: System Environment/Base
Requires: cronie
Requires: %{name} = %{version}-%{release}

%description cron
Crontab and utilities for running PackageKit as a cron job.

%package glib-devel
Summary: GLib Libraries and headers for PackageKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: pkgconfig
Requires: sqlite-devel
Requires: PackageKit-glib = %{version}-%{release}
Obsoletes: PackageKit-devel < %{version}-%{release}
Provides: PackageKit-devel = %{version}-%{release}

%description glib-devel
GLib headers and libraries for PackageKit.

%package qt-devel
Summary: QT Libraries and headers for PackageKit
Group: Development/Libraries
Requires: %{name}-qt = %{version}-%{release}
Requires: pkgconfig
# 2 short-lived rawhide pkgs
Obsoletes: packagekit-qt-devel < 0.3.1
Obsoletes: qpackagekit-devel < 0.3.1-2

%description qt-devel
QT headers and libraries for PackageKit.

%package backend-devel
Summary: Headers to compile out of tree PackageKit backends
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description backend-devel
Headers to compile out of tree PackageKit backends.

%package browser-plugin
Summary: Browser Plugin for PackageKit
Group: Development/Libraries
Requires: gtk2
Requires: PackageKit-glib = %{version}-%{release}
Requires: mozilla-filesystem

%description browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package gstreamer-plugin
Summary: Install GStreamer codecs using PackageKit
Group: Development/Libraries
Requires: gstreamer
Requires: PackageKit-glib = %{version}-%{release}
Obsoletes: codeina < 0.10.1-10
Provides: codeina = 0.10.1-10

%description gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-yum --enable-smart --with-default-backend=yum --disable-local

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libpackagekit*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libpackagekit*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/packagekit-plugin.a
rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/packagekit-plugin.la
chmod 755 $RPM_BUILD_ROOT%{_libexecdir}/PackageKitDbusTest.py
touch $RPM_BUILD_ROOT%{_localstatedir}/cache/PackageKit/groups.sqlite

# create a link that GStreamer will recognise
pushd ${RPM_BUILD_ROOT}%{_libexecdir} > /dev/null
ln -s pk-gstreamer-install gst-install-plugins-helper
popd > /dev/null

# create a link that from the comps icons to PK, as PackageKit frontends
# cannot add /usr/share/pixmaps/comps to the icon search path as some distros
# do not use comps. Patching this in the frontend is not a good idea, as there
# are multiple frontends in multiple programming languages.
pushd ${RPM_BUILD_ROOT}%{_datadir}/PackageKit > /dev/null
ln -s ../pixmaps/comps icons
popd > /dev/null

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-mime-database %{_datadir}/mime &> /dev/null || :

# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :

%post glib -p /sbin/ldconfig
%post qt -p /sbin/ldconfig

%postun glib -p /sbin/ldconfig
%postun qt -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%dir %{_datadir}/PackageKit
%dir %{_datadir}/PackageKit/helpers
%dir %{_sysconfdir}/PackageKit
%dir %{_localstatedir}/lib/PackageKit
%dir %{python_sitelib}/packagekit
%dir %{_localstatedir}/cache/PackageKit
%ghost %verify(not md5 size mtime) %{_localstatedir}/cache/PackageKit/groups.sqlite
%dir %{_localstatedir}/cache/PackageKit/downloads
%{python_sitelib}/packagekit/*py*
%dir %{_sysconfdir}/bash_completion.d
%dir %{_libdir}/packagekit-backend
%config %{_sysconfdir}/bash_completion.d/pk-completion.bash
%config(noreplace) %{_sysconfdir}/PackageKit/*.conf
%config %{_sysconfdir}/dbus-1/system.d/*
%dir %{_datadir}/PackageKit/helpers/test_spawn
%dir %{_datadir}/PackageKit/icons
%{_datadir}/PackageKit/helpers/test_spawn/*
%{_datadir}/man/man1/*.1.gz
%{_datadir}/PolicyKit/policy/*.policy
%{_datadir}/mime/packages/packagekit-*.xml
%{_datadir}/PackageKit/pk-upgrade-distro.sh
%{_sbindir}/packagekitd
%{_bindir}/pkmon
%{_bindir}/pkcon
%{_bindir}/pkgenpack
%{_bindir}/packagekit-bugreport.sh
%exclude %{_libdir}/libpackagekit*.so.*
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_test_*.so
%ghost %verify(not md5 size mtime) %{_localstatedir}/lib/PackageKit/transactions.db
%ghost %verify(not md5 size mtime) %{_localstatedir}/lib/PackageKit/job_count.dat
%{_datadir}/dbus-1/system-services/*.service
%{_libdir}/pm-utils/sleep.d/95packagekit
%{_libexecdir}/*py*

%files docs
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_datadir}/gtk-doc/html/PackageKit

%files smart
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/packagekit-backend/libpk_backend_smart.so
%dir %{_datadir}/PackageKit/helpers/smart
%{_datadir}/PackageKit/helpers/smart/*

%files yum
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/packagekit-backend/libpk_backend_yum.so
%dir %{_datadir}/PackageKit/helpers/yum
%{_datadir}/PackageKit/helpers/yum/*

%files yum-plugin
%defattr(-, root, root)
%doc README AUTHORS NEWS COPYING
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/refresh-packagekit.conf
/usr/lib/yum-plugins/refresh-packagekit.*

%files udev-helper
%defattr(-, root, root)
%doc README AUTHORS NEWS COPYING
%{_sysconfdir}/udev/rules.d/*.rules
/lib/udev/*.sh

%files glib
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/*packagekit-glib*.so.*

%files qt
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/*packagekit-qt*.so.*

%files cron
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%config %{_sysconfdir}/cron.daily/packagekit-background.cron
%config(noreplace) %{_sysconfdir}/sysconfig/packagekit-background

%files browser-plugin
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/mozilla/plugins/packagekit-plugin.so

%files gstreamer-plugin
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libexecdir}/pk-gstreamer-install
%{_libexecdir}/gst-install-plugins-helper

%files glib-devel
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/libpackagekit-glib*.so
%{_libdir}/pkgconfig/packagekit-glib.pc
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/packagekit-glib
%{_includedir}/PackageKit/packagekit-glib/*.h

%files qt-devel
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/libpackagekit-qt*.so
%{_libdir}/pkgconfig/packagekit-qt.pc
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/packagekit-qt
%{_includedir}/PackageKit/packagekit-qt/QPackageKit
%{_includedir}/PackageKit/packagekit-qt/*.h
%{_datadir}/cmake/Modules/FindQPackageKit.cmake

%files backend-devel
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/backend
%{_includedir}/PackageKit/backend/*.h

%changelog
* Wed Jun 10 2009 Richard Hughes  <rhughes@redhat.com> - 0.3.16-1
- New upstream version

* Wed May 13 2009 Richard Hughes  <rhughes@redhat.com> - 0.3.15-3
- Apply a patch from upstream to disallow SIGKILL.
- Fixes #487924

* Wed Apr 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.3.15-2
- Rebuild against qt-4.4.x
- Fixes #493003

* Mon Mar 30 2009 Richard Hughes  <rhughes@redhat.com> - 0.3.15-1
- New upstream version
- Fixes #492004, #480440 and #488509

* Mon Feb 02 2009 Richard Hughes  <rhughes@redhat.com> - 0.3.14-1
- New upstream version

* Thu Jan 08 2009 Richard Hughes  <rhughes@redhat.com> - 0.3.13-1
- New upstream version

* Mon Dec 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.12-1
- New upstream version
- Drop all upstreamed patches

* Sun Dec 07 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.11-4
- Add a missing DBUS interface allow rule
- Fixes #475074

* Mon Dec 01 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.11-3
- Catch errors from yum when getting the comps groups
- Add some more groups to the simple comps group mapping table
- Fix a small memory leak (~20 bytes) when getting authorisations

* Fri Nov 28 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.11-2
- Rebuild because Bodhi hates me.

* Wed Nov 26 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.11-1
- New upstream version

* Tue Nov 11 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.10-1
- New upstream version
- Drop all upstreamed patches

* Wed Nov 05 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.9-4
- Increase the timeout for cleaning up unused transactions. Due to a bug
  in the PkClient library the new TID was not being requested, and the old
  TID was being re-used. This gave a DBUS error if the user spent longer than
  five seconds entering the password the very first time they used PackageKit
  to do an authentication.
  Apply a simple patch to mitigate this, as a more invasive (and correct)
  patch is upstream. A new release will follow in f10-updates. Fixes rh#469950

* Thu Oct 28 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.9-3
- Install the usr/share/cmake/Modules/FindQPackageKit.cmake file so we
  can build KPackageKit from svn head.
- Fix installing the preupgrade package when we check for distro upgrades
  on machines with 32 and 64 bit versions available. Fixes #469172

* Tue Oct 28 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.9-2
- Apply a couple of patches from upstream to fix development filtering
  and installing the web plugin.

* Mon Oct 27 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.9-1
- New upstream version
- Many new and updated translations.
- Lots of bugfixes (#468486, #466006, #468602), no new features.

* Fri Oct 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.8-6
- Customize Vendor.conf for Fedora

* Fri Oct 24 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.8-5
- Bump as I forgot to add the patch.

* Fri Oct 24 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.8-4
- Add a patch from upstream to change the servicepack metadata format to be
  forwards compatible so we don't let the user create invalid packs.

* Thu Oct 23 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.8-3
- Add a patch from upstream to pkcon install foo

* Tue Oct 21 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.3.8-2
- Obsoletes: packagekit-qt(-devel)/qpackagekit(-devel)
- cleanup deps

* Mon Oct 20 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.8-1
- New upstream version
- Many new and updated translations.
- Merge in the QPackageKit QT library from Adrien BUSTANY

* Mon Oct 20 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.3.7-3
- -browser-plugin: Requires: mozilla-filesystem

* Mon Oct 20 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.7-2
- Rename as newest upstream has QT binding also:
 * PackageKit-libs -> PackageKit-glib
 * PackageKit-devel -> PackageKit-glib-devel
- Add a BR for comps, and create a link that from the comps icons for the
  new category group icons.
- Create a subpackage for devel files required for out-of-tree backends.

* Mon Oct 13 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.7-1
- New upstream version
- Add dynamic groups functionality to the API
- Many performance and other bugfixes

* Thu Oct 09 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.6-3
- Add a patch from upstream to fix rh#466290

* Mon Oct 06 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.6-2
- Upload new sources. Ooops.

* Mon Oct 06 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.6-1
- New upstream version
- Renice the spawned process so that we don't hog the system when doing updates

* Wed Oct 01 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.5-4
- Rename the subpackages before David blows a blood vessel.
- yum-packagekit  -> PackageKit-yum-plugin
- udev-packagekit -> PackageKit-udev-helper

* Tue Sep 30 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.5-3
- Fix a bug where the daemon could crash when cancelling a lot of transactions.
- Fix installing codecs with a 64 bit machine

* Tue Sep 30 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.5-2
- Obsolete more releases of codeina to fix upgrades on rawhide.

* Mon Sep 29 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.5-1
- New upstream version
- Add a helper which can be used by GStreamer to install codecs.
 
* Thu Sep 25 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.4-5
- When returning results from a cache we should always return finished in an
  idle loop so we can block and wait for a response
- This fixes the bug where if you have two GetUpdates in the queue the second
  would hang waiting for the first, even though it had already finished.

* Tue Sep 23 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.4-4
- Fix the error dialog when no mirrors are found

* Tue Sep 23 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.4-3
- Don't try to run all the committed transactions at once with a deep queue.
- This fixes the bug where the dispatcher would sometimes fail to run the
  next method and PkSpawn would warn the user with 'timeout already set'.

* Tue Sep 23 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.4-2
- Don't send ::Finished when the script exits because of a dispatcher exit.
- This only seems to happen when we are making the dispatcher be reloaded
  from multiple sessions with different locales.

* Mon Sep 22 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.4-1
- New upstream version

* Tue Sep 17 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.3-3
- Fix a silly typo where we might upgrade the kernel when we check for
  distro upgrades.

* Tue Sep 16 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.3-2
- Fix an error where we didn't connect up the GetDistroUpgrades in
  the new dispatcher code.

* Tue Sep 16 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.3-1
- New upstream version
- Fixes a nasty bug where the daemon could get locked under heavy load
- Adds collection support for group install and remove

* Wed Sep 10 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.2-3
- Fix an error where we don't check for existing packages in the catalog
  code properly. Also fixes the self tests.

* Wed Sep 10 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.2-2
- Fix a library error so we don't print (null) in the UI.

* Mon Sep 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.2-1
- New upstream version
- This is the first release with the dispatcher functionality that allows
  backend reuse. This speeds up packagekitd to native speeds when doing
  repeated similar transactions from the same session and locale.

* Mon Sep 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.1-7
- Enable the smart backend as it's nearly as complete as the yum backend
- Disable the yum2 backend (0.3.2 will have a dispatcher instead)
- Add subpackages yum and smart, and pull the former in as a dep by default

* Mon Sep 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.1-6
- Own /var/cache/PackageKit and /var/cache/PackageKit/downloads
- Fix up some other rpmlint warnings for docs and config(noreplace)

* Mon Sep 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.1-5
- Don't explicitly BR libarchive to silence rpmlint

* Mon Sep 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.1-4
- Split out a -docs subpackage, which shaves of 324Kb of docs from
  the main package

* Thu Aug 28 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.1-3
- The browser plugin file list was misordered in the merge, resulting
  in empty PackageKit-devel package.

* Wed Aug 27 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.1-2
- Bump as make chainbuild is broken, so we'll have to do this in two steps.

* Wed Aug 27 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.1-1
- New upstream version
- Also add two upstream patches to fix pkcon issues.

* Mon Aug 22 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.0-2
- Bump as the make tag step failed in an obscure way.

* Mon Aug 22 2008 Richard Hughes  <rhughes@redhat.com> - 0.3.0-1
- Update to newest upstream version. This includes the fixed browser plugin.

* Mon Aug 04 2008 Robin Norwood <rnorwood@redhat.com> - 0.2.4-2
- Fix Source0 URL.

* Tue Jul 30 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.4-1
- New upstream version, only bugfixes.

* Tue Jul 15 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.3-6
- Silence the output of update-mime-database to fix rh#454782

* Mon Jun 23 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.3-5.20080618
- Own the /etc/bash_completion.d directory as we don't depend on the
  bash-completion package. Fixes rh#450964.

* Wed Jun 18 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.3-4.20080618
- Pull in a new snapshot from the unstable branch.
- Add the font installing provide hooks

* Mon Jun 11 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.3-3.20080611
- Pull in a new snapshot from the unstable branch.
- Fixes RH#450594 where there are insane length error messages
- Get the group for the package when we do ::Detail()

* Mon Jun 09 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.3-2.20080609
- Add intltool to the BR.

* Mon Jun 09 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.3-1.20080609
- Pull in a new snapshot from the unstable branch.

* Thu May 29 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.2-2.20080529
- Pull in a new snapshot from the unstable branch.

* Mon May 19 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.2-1.20080519
- Pull in a new snapshot from the unstable branch.

* Thu May 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.1-2.20080508
- Pull in a new snapshot from the unstable branch.

* Tue May 06 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.1-1.20080506
- Pull in a new snapshot from the unstable branch.

* Tue May 06 2008 Richard Hughes  <rhughes@redhat.com> - 0.2.0-1
- Update to the latest _UNSTABLE_ upstream source

* Mon May  5 2008 Robin Norwood <rnorwood@redhat.com> - 0.1.12-5.20080416git
- Apply patch to fix update detail unbound error.
- Fix rhbz#445086

* Wed Apr 16 2008 Richard Hughes  <rhughes@redhat.com> - 0.1.12-4.20080416git
- Urgh, actually upload the correct tarball.

* Wed Apr 16 2008 Richard Hughes  <rhughes@redhat.com> - 0.1.12-3.20080416git
- Pull in the new snapshot from the stable PACKAGEKIT_0_1_X branch.
- Fixes rh#439735.

* Tue Apr 15 2008 Richard Hughes  <rhughes@redhat.com> - 0.1.12-2.20080415git
- Pull in the new snapshot from the stable PACKAGEKIT_0_1_X branch.
- Fixes rh#442286, rh#442286 and quite a few upstream bugs.

* Sat Apr 12 2008 Richard Hughes  <rhughes@redhat.com> - 0.1.12-1.20080412git
- Pull in the new snapshot from the stable PACKAGEKIT_0_1_X branch.
- Fixes that were cherry picked into this branch since 0.1.11 was released can be viewed at:
  http://gitweb.freedesktop.org/?p=packagekit.git;a=log;h=PACKAGEKIT_0_1_X

* Sat Apr  5 2008 Matthias Clasen <mclasen@redhat.com> - 0.1.11-1
- Update to 0.1.11

* Fri Mar 28 2008 Bill Nottingham <notting@redhat.com> - 0.1.10-1
- update to 0.1.10
- fix glib buildreq

* Fri Mar 28 2008 Matthias Clasen <mclasen@redhat.com> - 0.1.9-3
- Fix a directory ownership oversight

* Mon Mar 17 2008 Robin Norwood <rnorwood@redhat.com> - 0.1.9-2
- Make PackageKit require yum-packagekit
- Resolves: rhbz#437539

* Wed Mar  5 2008 Robin Norwood <rnorwood@redhat.com> - 0.1.9-1
- Update to latest upstream version: 0.1.9
- Enable yum2 backend, but leave old yum backend the default for now

* Thu Feb 21 2008 Robin Norwood <rnorwood@redhat.com> - 0.1.8-1
- Update to latest upstream version: 0.1.8

* Mon Feb 18 2008 Robin Norwood <rnorwood@redhat.com> - 0.1.7-2
- Fix the yum backend.

* Thu Feb 14 2008 Robin Norwood <rnorwood@redhat.com> - 0.1.7-1
- Update to latest upstream version: 0.1.7

* Sat Jan 19 2008 Robin Norwood <rnorwood@redhat.com> - 0.1.6-1
- Update to latest upstream version: 0.1.6

* Fri Dec 21 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.5-1
- Update to latest upstream version: 0.1.5
- Remove polkit.patch for PolicyKit 0.7, no longer needed

* Mon Dec 17 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.4-3
- fix rpm -V issues by ghosting data files
- Resolves: rhbz#408401

* Sun Dec  9 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.4-2
- Make it build against PolicyKit 0.7

* Tue Nov 27 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.4-1
- Update to latest upstream version: 0.1.4
- Include spec file changes from hughsie to add yum-packagekit subpackage

* Sat Nov 10 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.3-1
- Update to latest upstream version: 0.1.3

* Thu Nov 01 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.2-1
- Update to latest upstream version: 0.1.2

* Fri Oct 26 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-5
- More issues from package review:
- Need to own all created directories
- PackageKit-devel doesn't really require sqlite-devel
- Include docs in PackageKit-libs

* Fri Oct 26 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-4
- use with-default-backend instead of with-backend

* Thu Oct 25 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-3
- Add BR: python-devel

* Wed Oct 24 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-2
- doc cleanups from package review

* Tue Oct 23 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-1
- Update to latest upstream version

* Wed Oct 17 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.0-3
- Add BR for docbook-utils

* Tue Oct 16 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.0-2
- Apply recommended fixes from package review

* Mon Oct 15 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.0-1
- Initial build (based upon spec file from Richard Hughes)
